# swiagent Cookbook

[![Cookbook Version](https://img.shields.io/cookbook/v/swiagent.svg)](https://supermarket.chef.io/cookbooks/swiagent)
[![License](https://img.shields.io/badge/License-Apache%202.0-green.svg)](https://opensource.org/licenses/Apache-2.0)

## Purpose

This cookbook provides a resource to download and install the swiagent from Solarwinds Orion on target Linux servers.

## Resource: swiagent

### Actions

- `:install` (*default action*): Install, configure and enable the SolarWinds agent (swiagent).
- `:remove`: Remove the SolarWinds agent (swiagent) and its related resources.

### Properties

| Properties | Description                  | Type    | Values and Default                                   |
| ---------- | -----------------------------| --------| ---------------------------------------------------- |
| fqdn       | FQDN of the Orion server     | String  | Required, no default                                 |
| port       | Port for swiagent to use     | Integer | Required, default is 17778                           |
| ssl        | Use SSL (HTTPS) for repo URI | Boolean | Required, default is true                            |
| username   | Orion admin username         | String  | Desired_state is false, identity is true, no default |
| password   | Orion admin password         | String  | Desired_state is false, sensitve is true, no default |

### Example Usage

```ruby
# install the agent and connect it to the Orion server
swiagent 'swiagent' do
  fqdn 'solaror001.intra.rakuten.co.jp'
  username 'admin'
  password '123456'
end

# remove the swiagent from a server
swiagent 'swiagent' do
  action :remove
end
```

## License & Authors
<!-- $ find -type f -iname "*.rb" -exec grep -i author '{}' \; | sort -k4 | uniq | sed 's/#/-/g' -->
- Author:: Rolf Fujino (<fujinorolf@gmail.com>)

```text
Copyright:: 2011-2015, Chef Software, Inc

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```
